import { scoreTypeList, questionNumberTypeList, optionTypeList } from './common';
import { getRandomNumber } from '@/utils/index';

export function getOption(content = '') {
  return {
    content,
    mark: getRandomNumber(),
    audio_file_id: '',
    pinyin: '',
    pinyin_item_list: [],
    definition: '',
    collocation: '',
    hz_strokes_list: [],
  };
}
// 汉字类型列表
export const learnTypeList = [
  { value: 'paint', label: '描红' },
  { value: 'write', label: '书写' },
  { value: 'dictation', label: '听写' },
];

// 音频生成方式类型
export const audioGenerationMethodList = [
  {
    value: 'upload',
    label: '上传',
  },
  {
    value: 'auto',
    label: '自动生成',
  },
  {
    value: 'record',
    label: '录音',
  },
];

// 汉字题数据模板
export const chineseData = {
  type: 'chinese', // 题型
  stem: '', // 题干
  description: '', // 描述
  option_number_show_mode: optionTypeList[1].value, // 选项类型
  answer: { score: 1, score_type: scoreTypeList[0].value }, // 答案
  option_list: [getOption(), getOption(), getOption()], // 选项
  file_id_list: [],
  // 题型属性
  property: {
    question_number: '1', // 题号
    is_enable_description: 'false', // 描述
    score: 1, // 分值
    score_type: scoreTypeList[0].value, // 分值类型
    learn_type: learnTypeList[0].value,
    tian_number: 8, // 田字格组
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[0].value, // 题号类型
    audio_generation_method: audioGenerationMethodList[0].value, // 音频生成方式
  },
};
