import { scoreTypeList, questionNumberTypeList, switchOption } from './common';
import { getRandomNumber } from '@/utils/index';

export function getOption(content = '') {
  return { content, mark: getRandomNumber() };
}
export const sortTypeList = [
  { value: 'horizontal', label: '横排' },
  { value: 'vertical', label: '竖排' },
];
// 选择题数据模板
export function getSortDataTemplate() {
  let option_list = [getOption(), getOption(), getOption()];
  let answer_list = option_list.map(({ mark }) => mark);
  return {
    type: 'sort', // 题型
    stem: '', // 题干
    description: '', // 描述
    option_list, // 选项
    file_id_list: [], // 文件 id 列表
    answer: { answer_list, score: 1, score_type: scoreTypeList[0].value }, // 答案
    // 题型属性
    property: {
      question_number: '1', // 题号
      is_enable_description: switchOption[1].value, // 描述
      score: 1, // 分值
      score_type: scoreTypeList[0].value, // 分值类型
      layout_type: sortTypeList[0].value,
    },
    // 其他属性
    other: {
      question_number_type: questionNumberTypeList[0].value, // 题号类型
    },
  };
}
